Fleet
List a vehicle's service, repair and fuel log, newest first; 404 when the vehicle is not in this organization (scope: fleet:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringFleet vehicle id
Format
uuidpage?integerperPage?integerOK
application/json- response
data*array<>meta?error*nullcurl -X GET "https://example.com/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/service-logs"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf", "type": "PERIODIC_SERVICE", "service_date": "2019-08-24", "odometer_km": 0, "description": "string", "provider_name": "string", "cost_amount": "string", "cost_currency": "string", "fuel_liters": "string", "next_service_km": 0, "next_service_date": "2019-08-24", "document_ref": "string", "created_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "perPage": 0, "total": 0, "totalPages": 0, "nextCursor": "string" }, "error": null}